﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="AdminPanel" EnableEventValidation="false" ValidateRequest="false" Codebehind="AdminPanel.aspx.cs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Expires" content="0" />
	<meta http-equiv="Cache-Control" content="no-cache" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<title>Administration</title>
	<link rel="stylesheet" href="styles/styles.css" type="text/css" />
	<link rel="stylesheet" href="styles/css-trees.css" type="text/css" />
	<link rel="stylesheet" href="styles/PleaseWait.css" type="text/css" />
	<link rel="stylesheet" href="styles/ErrorShow.css" type="text/css" />
    <link rel="stylesheet" href="styles/menu_styles.css" type="text/css" />

	<script language="javascript" type="text/javascript" src="scripts/errorShow.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/tooltip.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/check-symbols.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/alerts.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/common.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/reports.js"></script>
    
	<script language="javascript" type="text/javascript" src="scripts/_functions.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/user.js"></script>

	<script language="javascript" type="text/javascript" src="scripts/inc.calendar-settings.js"></script>

	<style type="text/css">
		.equal
		{
			display: table;
			border-collapse: separate;
			table-layout: fixed;
			margin: 0px; /*border-spacing:10px;   cellspacing not for ie*/
			text-align: left;
		}
		.row
		{
			display: table-row;
		}
		.row div#one, .row div#UserListContainerID, .row div#LastTdID
		{
			display: table-cell;
			padding-bottom: 10px;
		}
		.one
		{
			border-right: 1px solid #B1D3ED;
			background-color: #DBEAF5;
			width: 160px;
		}
		.two
		{
			background-color: #F1F7FB;
			border-right: 1px solid #B1D3ED;
			width: 150px;
		}
		.three
		{
			width: 600px;
		}
		.display
		{
			display: table-cell !important;
		}
	</style>
</head>
<body <% if (allowResize) Response.Write("onresize=\"ResizeElements('all');\"");%>>
	<form id="adminPanelForm" runat="server">
	<asp:HiddenField runat="server" ID="errorMessage" Value="" />
	<asp:HiddenField runat="server" ID="reportMessage" Value="" />
	<div class="<%=_contentClass%>"  align="center">
		<div class="wm_logo" id="logo"></div>
		<table class="wm_accountslist" id="accountslist">
			<tr>
				<td>
					<%=OutputHeader()%>
				</td>
			</tr>
		</table>
		<div style="background-color: #fff;">
			<asp:PlaceHolder ID="contentPlaceHolder" runat="server"></asp:PlaceHolder>
		</div>
	</div>
	</form>
</body>
<script type="text/javascript">
	Tip = new CTip();

    var errorMessage = document.getElementById("errorMessage");
    var reportMessage = document.getElementById("reportMessage");
    if(errorMessage.value != "")
    {
        MsgBox.Show(errorMessage.value, 2);
        errorMessage.value = "";
    }	
    if(reportMessage.value != "")
    {
        MsgBox.Show(reportMessage.value, 1);
        reportMessage.value = "";
    }
</script>
</html>
