﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Globalization;

public partial class PlugIns_Security_main : MainPlugin
{
    public enum CommonScreen
    {
        Auth = 1
    }

    protected PlugIns_Security_main()
    {
        SetPluginID("Security");
    }

    protected CommonScreen _selectedScreen = CommonScreen.Auth;

    protected void Page_Load(object sender, EventArgs e)
    {
        string mode = this.Request.QueryString["mode"];
        if (mode != null)
        {
            if (string.Compare(mode, "auth", true, CultureInfo.InvariantCulture) == 0)
            {
                _selectedScreen = CommonScreen.Auth;
                Control ctrl = LoadControl(@"security_settings.ascx");
                if (ctrl != null)
                    ContentPlaceHolder.Controls.Add(ctrl);
            }
        }
        else
        {
            Response.Redirect("adminpanel.aspx?mode=auth");
        }
    }
}
